#
# spec file for package radiusd (Version 1.16.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         radiusd
Release:      7
Copyright:    Copyright 1992 Livingston Enterprises, Inc.
Group: 
Provides:     radius radiusd 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.16.1
Summary:      Radius-Server
Source: radius-1.16.1.tar.gz
Patch: radius-1.16.1.dif
%description
radiusd is the Livingston radius-server. It provides remote
authentication an accounting services; it e.g. use bei Livingston
Portmaster products (you guessed) for login-authentication and logging.

Authors:
--------
    Livingston Enterprises, Inc.

%prep
%setup -c radius-1.16.1
%patch
%build
cd src
make
%install
# program files
install -m 755 src/radiusd /usr/sbin/radiusd
install -m 755 src/radpass /usr/bin/radpass
install -d -m 700 /var/radacct
install -d -m 700 /etc/raddb
install -m 700 raddb/clients /etc/raddb
install -m 700 raddb/users /etc/raddb
install -m 700 raddb/dictionary /etc/raddb
touch /var/log/radiusd
# startup configuration
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.radiusd /var/adm/fillup-templates
install -m 755 radiusd /sbin/init.d
ln -sf ../radiusd /sbin/init.d/rc2.d/S22radiusd
ln -sf ../radiusd /sbin/init.d/rc3.d/S22radiusd
ln -sf ../radiusd /sbin/init.d/rc2.d/K18radiusd
ln -sf ../radiusd /sbin/init.d/rc3.d/K18radiusd
ln -sf ../../sbin/init.d/radiusd /usr/sbin/rcradiusd
# not needed - no man pages
#Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.radiusd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.radiusd and"
  echo "update by hand."
fi
%files
%doc INSTALL
%doc README.1.16.1
%doc raddb/clients.example
%doc raddb/users.example
%dir /var/radacct
%dir /etc/raddb
%config /etc/raddb/dictionary
%config(noreplace) /etc/raddb/users
%config(noreplace) /etc/raddb/clients
%config /sbin/init.d/radiusd
/sbin/init.d/rc2.d/K18radiusd
/sbin/init.d/rc2.d/S22radiusd
/sbin/init.d/rc3.d/K18radiusd
/sbin/init.d/rc3.d/S22radiusd
/usr/sbin/rcradiusd
/usr/sbin/radiusd
/usr/bin/radpass
%dir /var/adm/fillup-templates
/var/adm/fillup-templates/rc.config.radiusd
%ghost /var/log/radiusd

